Specs (Gradle API 2.14.1)

org.gradle.api.specs

## Class Specs

- java.lang.Object
- - org.gradle.api.specs.Specs

-     public class Specs
      extends Object

  Provides a number of `Spec` implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Spec<Object>` | `SATISFIES_ALL`
    `static Spec<Object>` | `SATISFIES_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Specs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> AndSpec<T>` | `and(Collection<? extends Spec<? super T>> specs)` Deprecated. Use `intersect(Collection)` instead.
    `static <T> AndSpec<T>` | `and(Spec<? super T>... specs)` Deprecated. Use `intersect(Spec[])` instead.
    `static <T> Spec<T>` | `convertClosureToSpec(Closure closure)`
    `static <T> Spec<T>` | `intersect(Collection<? extends Spec<? super T>> specs)` Returns a spec that selects the intersection of those items selected by the given specs.
    `static <T> Spec<T>` | `intersect(Spec<? super T>... specs)` Returns a spec that selects the intersection of those items selected by the given specs.
    `static <T> Spec<T>` | `negate(Spec<? super T> spec)` Returns a spec that selects everything that is not selected by the given spec.
    `static <T> NotSpec<T>` | `not(Spec<? super T> spec)` Deprecated. Use `negate(Spec)` instead.
    `static <T> Spec<T>` | `or(boolean defaultWhenNoSpecs, List<? extends Spec<? super T>> specs)` Deprecated. Use `union(Collection)` instead.
    `static <T> OrSpec<T>` | `or(Collection<? extends Spec<? super T>> specs)` Deprecated. Use `union(Collection)` instead.
    `static <T> OrSpec<T>` | `or(Spec<? super T>... specs)` Deprecated. Use `union(Spec[])` instead.
    `static <T> Spec<T>` | `satisfyAll()`
    `static <T> Spec<T>` | `satisfyNone()`
    `static <T> Spec<T>` | `union(Collection<? extends Spec<? super T>> specs)` Returns a spec that selects the union of those items selected by the provided spec.
    `static <T> Spec<T>` | `union(Spec<? super T>... specs)` Returns a spec that selects the union of those items selected by the provided spec.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SATISFIES_ALL

          public static final Spec<Object> SATISFIES_ALL

    - #### SATISFIES_NONE

          public static final Spec<Object> SATISFIES_NONE

  - ### Constructor Detail

    - #### Specs

          public Specs()

  - ### Method Detail

    - #### satisfyAll

          public static <T> Spec<T> satisfyAll()

    - #### satisfyNone

          public static <T> Spec<T> satisfyNone()

    - #### convertClosureToSpec

          public static <T> Spec<T> convertClosureToSpec(Closure closure)

    - #### and

          @Deprecated
          public static <T> AndSpec<T> and(Spec<? super T>... specs)

      Deprecated. Use `intersect(Spec[])` instead.
      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### and

          @Deprecated
          public static <T> AndSpec<T> and(Collection<? extends Spec<? super T>> specs)

      Deprecated. Use `intersect(Collection)` instead.
      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### intersect

          public static <T> Spec<T> intersect(Spec<? super T>... specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### intersect

          public static <T> Spec<T> intersect(Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### or

          @Deprecated
          public static <T> OrSpec<T> or(Spec<? super T>... specs)

      Deprecated. Use `union(Spec[])` instead.
      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### or

          @Deprecated
          public static <T> OrSpec<T> or(Collection<? extends Spec<? super T>> specs)

      Deprecated. Use `union(Collection)` instead.
      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### union

          public static <T> Spec<T> union(Spec<? super T>... specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### union

          public static <T> Spec<T> union(Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### not

          @Deprecated
          public static <T> NotSpec<T> not(Spec<? super T> spec)

      Deprecated. Use `negate(Spec)` instead.
      Returns a spec that selects everything that is not selected by the given spec.

    - #### negate

          public static <T> Spec<T> negate(Spec<? super T> spec)

      Returns a spec that selects everything that is not selected by the given spec.

    - #### or

          @Deprecated
          public static <T> Spec<T> or(boolean defaultWhenNoSpecs,
                                  List<? extends Spec<? super T>> specs)

      Deprecated. Use `union(Collection)` instead.
      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.